'use strict';
define(function() {
  var aboutwidget = function(ngDialog) {
    return {
      templateUrl: 'js/XG/widgets/mapapp/about/views/aboutwidgettool.html',
      restrict: 'A',

      link: function(scope, element, attrs, ctrl) {
        element.bind('click', function() {
          ngDialog.open({
            template: 'js/XG/widgets/mapapp/about/views/aboutwidget.html',
            closeByDocument: false,
            scope: scope,
          });
        });
      },
    };
  };

  aboutwidget.$inject = ['ngDialog'];
  return aboutwidget;
});
